Subject: bug#12911: 24.3.50; let users decide where (& perhaps whether) `emacs_backtrace.txt' files are written

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Nov 2012 05:58:33 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Mon, 19 Nov 2012 16:15:17 -0500
> 
> > Making it in ~/.emacs.d on w32 alone doesn't change the basic fact
> > that most of the users we care about will still have their backtraces
> > in random places.
> 
> No, ~/.xsesson-errors is not a random place.  Even if the user doesn't
> know it, we do.

This place is also platform-specific.  Not on every Posix platform
stderr is put there.

> > Why not change that on all platforms?
> 
> Because stderr is good enough under GNU/Linux (and it's easy to
> redirect when it matters).

And the current arrangement on Windows is good enough for that system.

> > Why demand that only of w32?
> 
> Because currently w32 users get annoyed with new files appearing where
> they don't want any.

Only one user complained so far.

> If you prefer to always send it to stderr under Windows, please do
> so, I really couldn't care less if that means it's usually sent to
> /dev/null.

Well, I do care, so I wrote the code to be better than that.

> No, writing to an arbitrary file in the current directory is not
> a good arrangement.

I disagree, obviously.

> I didn't like the backtrace business to start with and am finding it
> worse by the day.

Should I say "told you so"?